Skip to content
Navigation Menu
Sign in
Products
Platform
GitHub
Repository hosting, code review, and collaboration
Copilot
AI coding agent for tasks, projects and automated work
Build & Ship
Actions
CI/CD and automation
Code Quality
Quality analysis, fixes, and enforcement
Codespaces
Cloud development environments
Secure
Code Security
Vulnerability detection and remediation
Secret Protection
Secret scanning and leak prevention
All Features
Developers
Learn
Documentation
Training
Certifications
Build
Build with Copilot
Customize Copilot
Integrations
Explore
Trending repos
GitHub Sponsors
Events
Changelog
Changelog
Your source for the latest features, improvements, and fixes across GitHub products, all in one place.
Businesses
By Stage
Enterprises
Team
Startups
Nonprofits
By Industry
Healthcare
Financial services
Manufacturing
Government
See all industries
Evaluate GitHub
Why GitHub
Customer Stories
Business insights
Trust Center
Add-ons
GitHub Advanced Security
Enterprise-grade code security
Copilot for business
Enterprise-grade AI features
Premium Support
Enterprise-grade 24/7 support
Resources
Learn & Connect
Documentation
Resource center
Blog
Events & webinars
Community Forum
Customer Stories
Integrations
Support
Customer support
Training
GitHub Status
Company
About
Partners
Changelog
GitHub Universe
GitHub Universe
The event for developers, by developers — talks, workshops, and what’s next for GitHub.
Pricing
Search
/
Sign in
Sign up
Appearance settings
You signed in with another tab or window.
Reload
to refresh your session.
You signed out in another tab or window.
Reload
to refresh your session.
You switched accounts on another tab or window.
Reload
to refresh your session.
Dismiss alert
{{ message }}
bjacobso
forma
Repository navigation
Code
Issues
Pull requests
24
(24)
Actions
Projects
Security and quality
Insights
More
items
All pull requests
Labels
9
(9)
Milestones
0
(0)
New pull request
Search pull requests
is
:
pr
state
:
open
is:pr state:open
Clear filter
Search
Pull requests
Open
24
(24)
Closed
79
(79)
Author
Label
Projects
Milestones
Reviews
Assignee
Sort by
Newest
descending
Sort…
Sort by Newest descending
More items
Comfortable display density
Compact display density
Rollout: declare Effect and Foldkit as peer ranges (re-land #102)
#107
·
bjacobso
opened
Nov 2, 2026
Owner
·
·
Fix deploy on Effect 4.1 (Alchemy crypto patch)
#106
·
bjacobso
opened
Nov 2, 2026
Owner
·
·
Add package imports (RFC 0018)
#105
·
bjacobso
opened
Nov 1, 2026
Owner
·
·
Let a form produce an :ir type another module exports
#103
·
bjacobso
opened
Nov 1, 2026
Owner
·
·
Keep a host's diagnostics when it fails a host call
#100
·
bjacobso
opened
Nov 1, 2026
Owner
·
·
Search forms and definitions by name, documentation, and IR type
#99
·
bjacobso
opened
Nov 1, 2026
Owner
·
·
Record a content identity for each declaration's payload contract
#98
·
bjacobso
opened
Nov 1, 2026
Owner
·
·
Make gensym, source hashes, and host value projection reproducible
#97
·
bjacobso
opened
Nov 1, 2026
Owner
·
·
Local providers for Effect programs; decline direct-style effects (RFC 0003)
#93
·
bjacobso
opened
Oct 31, 2026
Owner
·
·
Add runtime form lowering and typed callback foundations
#92
·
bjacobso
opened
Oct 29, 2026
Owner
·
·
Host-prelude support: located :check diagnostics, reflection, polymorphic :scope, faster elaboration
#90
·
bjacobso
opened
Oct 28, 2026
Owner
·
·
Add extern TypeScript imports and RFC 0018 (Effect as the host)
#88
·
bjacobso
opened
Oct 28, 2026
Owner
·
·
Add /executor code-mode landing page with a checked tool-manifest example
#85
·
bjacobso
opened
Oct 20, 2026
Owner
·
·
Add experimental MCP tool-to-service binding
#84
·
bjacobso
opened
Oct 17, 2026
Owner
·
·
Reposition the homepage as a meta-language for agents
#83
·
bjacobso
opened
Oct 17, 2026
Owner
·
·
Add RFC 0018 formatter design and a shared Markdown fence scanner
#82
·
bjacobso
opened
Oct 17, 2026
Owner
·
·
Add EN 16931 invoice slice RFC and ontology fit spike
#81
·
bjacobso
opened
Oct 17, 2026
Owner
·
·
Add RFC 0018 checked form examples and correct RFC 0010 current state
#80
·
bjacobso
opened
Oct 17, 2026
Owner
·
·
Add RFC 0014 for extension preludes and registered generators
#68
·
bjacobso
opened
Oct 10, 2026
Owner
·
2 tasks done
·
·
Add a Forma for Foldkit page about embedding the engine in Foldkit apps
#67
·
bjacobso
opened
Oct 10, 2026
Owner
·
4 tasks done
·
·
Explore inline Forma code mode with an interactive Foldkit demo
#66
·
bjacobso
opened
Oct 9, 2026
Owner
·
·
Add market desk Effect example and walkthrough
#58
·
bjacobso
opened
Oct 9, 2026
Owner
·
·
chore: release Forma packages
#14
·
github-actions[bot]
opened
Oct 5, 2026
Bot
·
·
Position Forma as an optional WorldVM language
#12
·
bjacobso
opened
Oct 4, 2026
Owner
·
·
You can’t perform that action at this time.